Skip to main content
POST
Create notebook

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_id
string
required

Workspace ID

Query Parameters

org_id
string
required

Organization ID

Body

application/json

Notebook object

A notebook within a workspace. A notebook contains cells which can be executed.

content
object

The content of a notebook. JSON representation of a Spin notebook. When a notebook is stored as a file, this is the content of the file.

created_time
string
description
string
name
string
notebook_id
string
owner_id
string
updated_time
string

Response

201 - application/json

Created

A notebook within a workspace. A notebook contains cells which can be executed.

content
object

The content of a notebook. JSON representation of a Spin notebook. When a notebook is stored as a file, this is the content of the file.

created_time
string
description
string
name
string
notebook_id
string
owner_id
string
updated_time
string